<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/calAfe2sq.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>calAfe2sq.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for calAfe2sq.c:</div>
<div class="dynsection">
<div class="center"><img src="calAfe2sq_8c__incl.png" border="0" usemap="#util_2calAfe2sq_8c_map" alt=""/></div>
<map name="util_2calAfe2sq_8c_map" id="util_2calAfe2sq_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="calAfe2sq_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d">findeleslice</a> (int ln_ele, int *elevert, PetscReal *vertxyz2, PetscReal zcut, int *nele, int *sliceele)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e">CalAfe2sq</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, PetscReal *vertxyz2, PetscReal *bbox, int *pix, int slice_id, Mat *pAIpol)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="aa06eabdea2e391822f9b4f13e5ffc35e"></a><!-- doxytag: member="calAfe2sq.c::CalAfe2sq" ref="aa06eabdea2e391822f9b4f13e5ffc35e" args="(GridData *gdata, PetscReal *vertxyz2, PetscReal *bbox, int *pix, int slice_id, Mat *pAIpol)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CalAfe2sq </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vertxyz2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>bbox</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>pix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>slice_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Mat *&nbsp;</td>
          <td class="paramname"> <em>pAIpol</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="calAfe2sq_8c_source.html#l00068">68</a> of file <a class="el" href="calAfe2sq_8c_source.html">calAfe2sq.c</a>.</p>

<p>References <a class="el" href="area_8c_source.html#l00029">AreaCal()</a>, <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="calAfe2sq_8c_source.html#l00029">findeleslice()</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="printmatinfo_8c_source.html#l00092">PrintMatInfoAll()</a>, and <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>.</p>

<p>Referenced by <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_cgraph.png" border="0" usemap="#calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_cgraph_map" alt=""></div>
<map name="calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_cgraph_map" id="calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_cgraph">
<area shape="rect" id="node3" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="157,5,224,35"/><area shape="rect" id="node5" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="304,58,376,89"/><area shape="rect" id="node9" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="148,109,233,139"/><area shape="rect" id="node11" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="137,162,244,193"/><area shape="rect" id="node17" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="144,215,237,246"/><area shape="rect" id="node7" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="435,110,549,141"/><area shape="rect" id="node14" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="293,162,387,193"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_icgraph.png" border="0" usemap="#calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_icgraph_map" alt=""></div>
<map name="calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_icgraph_map" id="calAfe2sq_8c_aa06eabdea2e391822f9b4f13e5ffc35e_icgraph">
<area shape="rect" id="node3" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="137,146,239,177"/><area shape="rect" id="node36" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="140,199,236,230"/><area shape="rect" id="node5" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="289,146,375,177"/><area shape="rect" id="node7" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="425,173,495,203"/><area shape="rect" id="node9" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="544,119,683,150"/><area shape="rect" id="node11" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="907,145,965,175"/><area shape="rect" id="node15" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="768,273,821,303"/><area shape="rect" id="node18" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="549,173,677,203"/><area shape="rect" id="node22" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="575,66,652,97"/><area shape="rect" id="node27" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="571,226,656,257"/><area shape="rect" id="node31" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="568,279,659,310"/><area shape="rect" id="node13" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1013,197,1064,227"/><area shape="rect" id="node24" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="732,66,857,97"/><area shape="rect" id="node38" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="293,199,371,230"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3c9e7dc062accf00d94cdd1e6124764d"></a><!-- doxytag: member="calAfe2sq.c::findeleslice" ref="a3c9e7dc062accf00d94cdd1e6124764d" args="(int ln_ele, int *elevert, PetscReal *vertxyz2, PetscReal zcut, int *nele, int *sliceele)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int findeleslice </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ln_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>vertxyz2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>zcut</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>nele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>sliceele</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="calAfe2sq_8c_source.html#l00029">29</a> of file <a class="el" href="calAfe2sq_8c_source.html">calAfe2sq.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="calAfe2sq_8c_a3c9e7dc062accf00d94cdd1e6124764d_icgraph.png" border="0" usemap="#calAfe2sq_8c_a3c9e7dc062accf00d94cdd1e6124764d_icgraph_map" alt=""></div>
<map name="calAfe2sq_8c_a3c9e7dc062accf00d94cdd1e6124764d_icgraph_map" id="calAfe2sq_8c_a3c9e7dc062accf00d94cdd1e6124764d_icgraph">
<area shape="rect" id="node3" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="141,173,224,203"/><area shape="rect" id="node5" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="273,146,375,177"/><area shape="rect" id="node38" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="276,199,372,230"/><area shape="rect" id="node7" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="425,146,511,177"/><area shape="rect" id="node9" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="561,173,631,203"/><area shape="rect" id="node11" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="680,119,819,150"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1043,145,1101,175"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="904,273,957,303"/><area shape="rect" id="node20" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="685,173,813,203"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="711,66,788,97"/><area shape="rect" id="node29" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="707,226,792,257"/><area shape="rect" id="node33" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="704,279,795,310"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1149,197,1200,227"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="868,66,993,97"/><area shape="rect" id="node40" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="429,199,507,230"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

